{ nix-config, lib, pkgs, ... }:
{
  home.packages = lib.mkMerge [
    (with nix-config.packages.x86_64-linux; [
      mioctl
      tal.bassline
      tal.j8
      tal.u-no-lx
      # chair-audio.snare
      # chair-audio.cymb
      the-usual-suspects.vavra
      the-usual-suspects.nodal-red
      the-usual-suspects.xenia
      the-usual-suspects.ostirus
      the-usual-suspects.osirus
      paulxstretch
    ])

    (with pkgs; [

      bitwig-studio5-3

      (yabridge.override {
        wine = wineWowPackages.stagingFull;
      })
      (yabridgectl.override {
        wine = wineWowPackages.stagingFull;
      })

      supercollider-with-plugins
      aubio
      carla
      tenacity
      renoise

      # Audio plugins (LV2, VST2, VST3, LADSPA)
      eq10q
      geonkick
      bespokesynth
      helm
      surge
      odin2
      calf
      chow-kick
      chow-phaser
      chow-centaur
      chow-tape-model
      # chow-multitool
      easyeffects
      vcv-rack
      cardinal
      roomeqwizard
      guitarix
      vital
      helio-workstation
      stochas
    ])
  ];

  xdg.desktopEntries = {
    bitwig-labwc = {
      name = "Bitwig (labwc)";
      exec = "${pkgs.labwc}/bin/labwc -S bitwig-studio";
      categories = ["Application" "Audio" "Music"];
    };
  };

  home.file.".local/share/The Usual Suspects/Vavra" = {
    recursive = true;
    source = ../../packages/the-usual-suspects/vavra;
  };
  home.file.".local/share/The Usual Suspects/Xenia" = {
    recursive = true;
    source = ../../packages/the-usual-suspects/xenia;
  };
  home.file.".local/share/The Usual Suspects/Osirus" = {
    recursive = true;
    source = ../../packages/the-usual-suspects/osirus;
  };
  home.file.".local/share/The Usual Suspects/OsTIrus" = {
    recursive = true;
    source = ../../packages/the-usual-suspects/ostirus;
  };
  home.file.".local/share/The Usual Suspects/NodalRed2x" = {
    recursive = true;
    source = ../../packages/the-usual-suspects/nodal-red;
  };

  home.file.".vst3/yabridge/yabridge.toml".source = ./yabridge/vst3/yabridge.toml;
}
